#!/bin/bash
set -ex
BASE_DIR="$(cd "$(dirname "$0")" && pwd)"
source ${BASE_DIR}/myenv.sh
cd $BASE_DIR

python3 -m pip install -r "$BASE_DIR/requirements.txt"
pip install --upgrade pip

PYTHON_VERSION=$(python3 -c "import sys; print(f'{sys.version_info.major}.{sys.version_info.minor}')")

# echo "$BASE_DIR/lib" > "${VENV_DIR}/lib/python${PYTHON_VERSION}/site-packages/herolib.pth"


echo "OK"
